from setuptools import setup, find_packages

setup(
    name="AIDBBot", 
    version="0.1.0", 
    author="Shrishail",
    author_email="shrishail.dev@gmail.com",
    description="AI-driven natural language queries for databases using AutoGen",
    long_description=open("README.md").read(),
    long_description_content_type="text/markdown",
    url="https://github.com/shrishailwali/DBQNA",
    packages=find_packages(),
    install_requires=[
        "aiofiles==24.1.0",
        "annotated-types==0.7.0",
        "anyio==4.9.0",
        "autogen-agentchat==0.4.9.3",
        "autogen-core==0.4.9.3",
        "autogen-ext==0.4.9.3",
        "azure-ai-inference==1.0.0b9",
        "azure-core==1.32.0",
        "azure-identity==1.21.0",
        "certifi==2025.1.31",
        "cffi==1.17.1",
        "charset-normalizer==3.4.1",
        "click==8.1.8",
        "colorama==0.4.6",
        "cryptography==44.0.2",
        "Deprecated==1.2.18",
        "distro==1.9.0",
        "dotenv==0.9.9",
        "exceptiongroup==1.2.2",
        "fastapi==0.115.12",
        "h11==0.14.0",
        "httpcore==1.0.7",
        "httpx==0.28.1",
        "idna==3.10",
        "importlib_metadata==8.6.1",
        "isodate==0.7.2",
        "jiter==0.9.0",
        "jsonref==1.1.0",
        "msal==1.32.0",
        "msal-extensions==1.3.1",
        "openai==1.69.0",
        "opentelemetry-api==1.31.1",
        "pillow==11.1.0",
        "protobuf==5.29.4",
        "psycopg2==2.9.10",
        "pycparser==2.22",
        "pydantic==2.11.1",
        "pydantic_core==2.33.0",
        "PyJWT==2.10.1",
        "python-dotenv==1.1.0",
        "regex==2024.11.6",
        "requests==2.32.3",
        "six==1.17.0",
        "sniffio==1.3.1",
        "starlette==0.46.1",
        "tiktoken==0.9.0",
        "tqdm==4.67.1",
        "typing-inspection==0.4.0",
        "typing_extensions==4.13.0",
        "urllib3==2.3.0",
        "uvicorn==0.34.0",
        "wrapt==1.17.2",
        "zipp==3.21.0",
    ],
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],
    python_requires=">=3.8",
    license="MIT"
)
